0

I recently installed Kali 2.0 minimal on a Virtual Machine. More specifically, 26 GiB Virtual HD, Macbook Air as the host of the VirtualBox.

Immediately after installing, I went to install GCC, and to do so you need to install build-essential(s). However, when I try to install build-essential(s), I get this error: http://pastebin.com/bK8xN9rD

After a quick google search, the relative consensus is that I need to update the system and update my keyring. However, after following advice as to how to do this from multiple forums, I have had no luck, as updating returns this: http://pastebin.com/wVDy9Xcf

Is there something else I need to be doing, or am I not following the steps properly?

2 Answers 2

1

backup repository list

cp /etc/apt/sources.list  /etc/apt/sources.list.bak

Add the Kali rolling repository to the list of repositories using :

cat << EOF > /etc/apt/sources.list
deb http://http.kali.org/kali kali-rolling main non-free contrib
EOF

Then comment the following line:

deb http://http.kali.org/kali sana main non-free contrib
deb http://security.kali.org/kali-security sana/updates main contrib non-free

Then update the package database and upgrade the system using the following:

apt-get update
apt-get dist-upgrade 
reboot

install build-essential

sudo apt-get -y install build-essential
0

http://docs.kali.org/general-use/kali-linux-sources-list-repositories

Kali sana (2.0) is Retired as you can see from above kali doc link.

To upgrade to rolling refer to this documentation: https://www.kali.org/news/kali-linux-rolling-edition-2016-1/ Where you will find the section "Transitioning From Kali 2.0 to Kali Rolling"

As per their docs: Please note that the Kali sana repositories will no longer be updated and will be EOL’d on the 15th of April 2016.

0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .